### Method

# Phosh WallClock local_date

#### Declaration [src]

    char*
    phosh_wall_clock_local_date (
      PhoshWallClock* self
    )

#### Description [src]

Get the local date as string We honor LC_MESSAGES so we e.g. don’t get a translated date when the user has LC_MESSAGES=en_US.UTF-8 but LC_TIME to their local time zone.

#### Return value

Type: `char*`

The local date as string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.